package com.sun.net.httpserver;

import java.util.concurrent.Executor;
import com.sun.net.httpserver.spi.HttpServerProvider;
import java.net.InetSocketAddress;
import java.io.IOException;
import jdk.Exported;

@Exported
public abstract class HttpServer
{
    protected HttpServer() {
    }
    
    public static HttpServer create() throws IOException {
        return create(null, 0);
    }
    
    public static HttpServer create(InetSocketAddress inetSocketAddress, int n) throws IOException {
        return HttpServerProvider.provider().createHttpServer(inetSocketAddress, n);
    }
    
    public abstract void bind(InetSocketAddress p0, int p1) throws IOException;
    
    public abstract void start();
    
    public abstract void setExecutor(Executor p0);
    
    public abstract Executor getExecutor();
    
    public abstract void stop(int p0);
    
    public abstract HttpContext createContext(String p0, HttpHandler p1);
    
    public abstract HttpContext createContext(String p0);
    
    public abstract void removeContext(String p0) throws IllegalArgumentException;
    
    public abstract void removeContext(HttpContext p0);
    
    public abstract InetSocketAddress getAddress();
}
